# PetscExceptionPop

Removes the most recent exception asked to be caught with PetscExceptionPush()

### Synopsis

    #include "petsc.h"
    void PETSC_DLLEXPORT PetscExceptionPop(PetscErrorCode err)

### Input Parameters

err -the exception that was pushed

### Notes

PETSc must not be configured using the option --with-errorchecking=0 for this to work

This is not usually needed in C/C++ rather use PetscExceptionTry1()

### See Also

PetscExceptionTry1(), PetscExceptionCaught(), PetscExceptionPush(), PetscExceptionPop()

Level:advanced
Location: src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages